use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug)]
pub(crate) struct IFootnoteReference {
    footnote_id: usize,
}

impl IFootnoteReference {
    pub(crate) async fn new<'intermediate, 'parse>(
        registry: &mut Registry<'intermediate, 'parse>,
        original: &'intermediate organic::types::FootnoteReference<'parse>,
    ) -> Result<IFootnoteReference, CustomError> {
        let footnote_id = registry.get_footnote_reference_id(original.label, &original.definition);
        Ok(IFootnoteReference { footnote_id })
    }
}
